function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad('data/Scenes/03_Dupens_House_Exit_Carriage_HO.lua', 'hidden_object', 'data/Scenes/03_Dupens_House_Exit_Carriage.lua')
    
    play_field:GetObject('Box_3'):SetOpacity(0.0);
    play_field:GetObject('map_7'):SetOpacity(0.0);
    play_field:GetObject('Dice'):SetOpacity(0.0);
    play_field:GetObject('Bananas'):SetOpacity(0.0);
    play_field:GetObject('map_12'):SetOpacity(0.0);
    
    RegisterActiveObject('area_shelf',  function(obj_name)
                                            play_field:GetObject('area_shelf'):SetVisible(false);
                                            play_field:GetObject('Box_3'):ChangeOpacity(0.0, 1.0, 0.1);
                                            play_field:GetObject('map_7'):ChangeOpacity(0.0, 1.0, 0.1);
                                            play_field:GetObject('Dice'):ChangeOpacity(0.0, 1.0, 0.1);
                                            play_field:GetObject('Bananas'):ChangeOpacity(0.0, 1.0, 0.1);
                                            play_field:GetObject('map_12'):ChangeOpacity(0.0, 1.0, 0.1);
                                            
                                            PlaySound('03_OpenDivan')
                                         end,
                                         function(obj_name)
                                            play_field:GetObject('area_shelf'):SetVisible(false);
                                            play_field:GetObject('Box_3'):SetOpacity(1.0);
                                            play_field:GetObject('map_7'):SetOpacity(1.0);
                                            play_field:GetObject('Dice'):SetOpacity(1.0);
                                            play_field:GetObject('Bananas'):SetOpacity(1.0);
                                            play_field:GetObject('map_12'):SetOpacity(1.0);
                                         end);
    
    AddTask(CreateTask('MAP',          'MAPS',   'map_1', 'map_2', 'map_3', 'map_4', 'map_5', 'map_6', 'map_7', 'map_8', 'map_9', 'map_10', 'map_11', 'map_12'));
    AddTask(CreateTask('SCREWDRIVER',  '',       'Screwdriver'));
    AddTask(CreateTask('HEART',        'HEARTS', 'Heart', 'Heart1', 'Heart2', 'Heart3'));
    AddTask(CreateTask('SUN',          'SUNS',   'Sun',   'Sun1',   'Sun2',   'Sun3'));
    
    AddRandomTasks( CreateTask('APPLE',        '', 'Apple'),
                    CreateTask('BANANAS',      '', 'Bananas'),
                    CreateTask('BOOK',         '', 'Book'),
                    CreateTask('CHESSPIECE',   '', 'Chesspiece'),
                    CreateTask('POCKET_WATCH', '', 'Clock'),
                    CreateTask('CROWN',        '', 'Crown'),
                    CreateTask('DAGGER',       'DAGGERS', 'Dagger', 'Dagger2'),
                    CreateTask('DICE',         '', 'Dice'),
                    CreateTask('FAN',          '', 'Fan'),
                    CreateTask('GRAPES',       '', 'Grapes'),
                    CreateTask('HAT',          '', 'Hat'),
                    CreateTask('HELMET',       '', 'Helmet'),
                    CreateTask('HORSE',        '', 'Horse'),
                    CreateTask('KEY',          '', 'Key'),
                    CreateTask('PRICE_TAG',    '', 'Label'),
                    CreateTask('ROSE',         'ROSES', 'Rose', 'Rose2'),
                    CreateTask('THREE',        '', 'Three'),
                    --CreateTask('BAG',          '', 'Bag'),    -- EAP-646
                    CreateTask('BROOCH',       '', 'Brooch'),
                    CreateTask('BUTTERFLY',    '', 'Butterfly'),
                    CreateTask('CAMEO',        '', 'Camellia'),
                    CreateTask('ROLL_CASE',    '', 'Case'),
                    CreateTask('CASKET',       '', 'Casket'),
                    CreateTask('GLOVES',       '', 'Gloves'),
                    CreateTask('LIZARD',       '', 'Lizard'),
                    CreateTask('MASK',         '', 'Mask'),
                    CreateTask('SHAWL',        '', 'Shawl'),
                    CreateTask('TREBLECLEF',   '', 'TrebleClef'),
                    CreateTask('WASP',         '', 'Wasp'));
                    
    RegisterToolFindInfo('03_screwdriver', nil, nil, nil);
end

function OnSceneFree(screen)
    DefaultOnSceneFree()
    FreeData(screen)
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
end

function OnAllItemsFound()
    DefaultOnAllItemsFound()
end

function OnLose()
    DefaultOnLose()
end

function OnExit()
    DefaultOnExit()
end

function OnClose()
    DefaultOnClose()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    local is_wrong_click = not DefaultOnObjectMouseDown(object)
    local obj_name = object:GetName()
    local pf = play_field

    DefaultOnObjectMouseDownProcessed(is_wrong_click);
end

function OnObjectMouseUp(object)
    DefaultOnObjectMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
end

function OnToolFound(tool)
    DefaultOnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
    DefaultOnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
    DefaultOnSetTool(tool)
end

function LevelLoaded(level)
end

function OnSceneDestroy(playfield)
    DefaultOnSceneDestroy(playfield)
end

--------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Layers/background.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('background',anim,512,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Apple.png',0,0,39,46,1,0)
	anim:SetHotSpot(18,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Apple',anim,392,208,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Bananas.png',0,0,102,81,1,0)
	anim:SetHotSpot(51,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bananas',anim,614,579,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Book.png',0,0,123,108,1,0)
	anim:SetHotSpot(61,54)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Book',anim,205,609,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Chesspiece.png',0,0,33,61,1,0)
	anim:SetHotSpot(16,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Chesspiece',anim,630,48,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Clock.png',0,0,39,44,1,0)
	anim:SetHotSpot(19,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Clock',anim,335,386,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Crown.png',0,0,64,58,1,0)
	anim:SetHotSpot(32,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Crown',anim,212,370,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Dagger.png',0,0,30,74,1,0)
	anim:SetHotSpot(15,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Dagger',anim,869,421,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Dice.png',0,0,43,36,1,0)
	anim:SetHotSpot(21,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Dice',anim,546,541,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Fan.png',0,0,128,86,1,0)
	anim:SetHotSpot(64,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Fan',anim,535,416,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Grapes.png',0,0,54,42,1,0)
	anim:SetHotSpot(27,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Grapes',anim,841,303,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Hat.png',0,0,96,69,1,0)
	anim:SetHotSpot(48,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Hat',anim,635,250,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Heart.png',0,0,41,40,1,0)
	anim:SetHotSpot(18,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Heart',anim,971,612,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Helmet.png',0,0,116,121,1,0)
	anim:SetHotSpot(58,60)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Helmet',anim,694,458,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Horse.png',0,0,86,105,1,0)
	anim:SetHotSpot(43,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Horse',anim,718,233,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Key.png',0,0,45,52,1,0)
	anim:SetHotSpot(22,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Key',anim,184,544,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Label.png',0,0,45,60,1,0)
	anim:SetHotSpot(22,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Label',anim,904,267,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/map_1.png',0,0,93,77,1,0)
	anim:SetHotSpot(46,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('map_1',anim,117,575,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/map_2.png',0,0,95,80,1,0)
	anim:SetHotSpot(47,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('map_2',anim,48,476,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/map_3.png',0,0,80,70,1,0)
	anim:SetHotSpot(40,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('map_3',anim,171,271,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/map_4.png',0,0,60,68,1,0)
	anim:SetHotSpot(30,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('map_4',anim,368,257,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/map_5.png',0,0,186,80,1,0)
	anim:SetHotSpot(93,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('map_5',anim,508,201,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/map_6.png',0,0,174,130,1,0)
	anim:SetHotSpot(87,65)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('map_6',anim,445,364,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/map_7.png',0,0,182,100,1,0)
	anim:SetHotSpot(91,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('map_7',anim,431,516,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/map_8.png',0,0,150,116,1,0)
	anim:SetHotSpot(75,58)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('map_8',anim,659,418,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/map_9.png',0,0,62,63,1,0)
	anim:SetHotSpot(31,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('map_9',anim,710,47,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/map_10.png',0,0,138,78,1,0)
	anim:SetHotSpot(69,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('map_10',anim,826,266,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/map_11.png',0,0,109,100,1,0)
	anim:SetHotSpot(54,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('map_11',anim,787,488,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/map_12.png',0,0,74,101,1,0)
	anim:SetHotSpot(37,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('map_12',anim,734,618,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Rose.png',0,0,137,68,1,0)
	anim:SetHotSpot(68,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Rose',anim,356,602,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Screwdriver.png',0,0,80,69,1,0)
	anim:SetHotSpot(40,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Screwdriver',anim,252,434,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Sun.png',0,0,39,44,1,0)
	anim:SetHotSpot(19,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Sun',anim,849,157,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Three.png',0,0,14,22,1,0)
	anim:SetHotSpot(7,11)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Three',anim,540,79,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Layers/layer_over_01.png',0,0,233,96,1,0)
	anim:SetHotSpot(116,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_over_01',anim,455,247,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Layers/layer_over_02.png',0,0,144,157,1,0)
	anim:SetHotSpot(72,78)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('layer_over_02',anim,114,556,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Layers/Box_3.png',0,0,528,310,1,0)
	anim:SetHotSpot(264,155)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Box_3',anim,544,589,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_shelf',anim,564,534,103,18,60,7)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Heart1.png',0,0,45,65,1,0)
	anim:SetHotSpot(22,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Heart1',anim,269,627,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Heart2.png',0,0,39,40,1,0)
	anim:SetHotSpot(19,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Heart2',anim,495,232,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Heart3.png',0,0,26,45,1,0)
	anim:SetHotSpot(13,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Heart3',anim,258,61,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Sun1.png',0,0,42,47,1,0)
	anim:SetHotSpot(21,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Sun1',anim,600,325,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Sun2.png',0,0,34,34,1,0)
	anim:SetHotSpot(17,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Sun2',anim,478,34,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Sun3.png',0,0,44,40,1,0)
	anim:SetHotSpot(22,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Sun3',anim,53,561,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Bag.png',0,0,92,169,1,0)
	anim:SetHotSpot(46,84)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bag',anim,896,607,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Brooch.png',0,0,59,83,1,0)
	anim:SetHotSpot(29,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Brooch',anim,346,175,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Butterfly.png',0,0,74,79,1,0)
	anim:SetHotSpot(37,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Butterfly',anim,963,507,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Camellia.png',0,0,63,75,1,0)
	anim:SetHotSpot(31,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Camellia',anim,663,136,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Case.png',0,0,93,30,1,0)
	anim:SetHotSpot(46,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Case',anim,752,421,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Casket.png',0,0,93,86,1,0)
	anim:SetHotSpot(46,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Casket',anim,439,200,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Dagger2.png',0,0,70,105,1,0)
	anim:SetHotSpot(35,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Dagger2',anim,494,329,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Gloves.png',0,0,80,96,1,0)
	anim:SetHotSpot(40,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Gloves',anim,122,630,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Lizard.png',0,0,130,73,1,0)
	anim:SetHotSpot(65,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Lizard',anim,876,62,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Mask.png',0,0,94,55,1,0)
	anim:SetHotSpot(47,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Mask',anim,550,235,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Rose2.png',0,0,52,99,1,0)
	anim:SetHotSpot(26,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Rose2',anim,173,352,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Shawl.png',0,0,54,85,1,0)
	anim:SetHotSpot(27,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Shawl',anim,210,35,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/TrebleClef.png',0,0,38,37,1,0)
	anim:SetHotSpot(19,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('TrebleClef',anim,925,197,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Dupens_House_Exit/Zone_HO/Items/Wasp.png',0,0,65,60,1,0)
	anim:SetHotSpot(32,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Wasp',anim,526,306,101,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
